# Take picture

An action block that takes a picture without user interaction.

The fiber will pause until the picture has been taken.

If you want the user to control the camera and to take the picture use the Capture image block instead. Cameras support different input arguments, leave them unset, or evaluating to `null`, to use the default options.

The path can be set to an existing or new file, or to a directory where the file will be placed with an automatic name. The path to the actual JPEG image file saved is assigned to the image file variable. The resulting picture isn’t explicitly added to the “media store”, i.e. made visible in “Gallery” apps, use the Media store add block to do so.

Note! This block may fail if the camera is in use by another app, or by the “face unlock” feature while the device is locked.

## Input arguments

- Camera — camera to use, default is likely the back-facing camera.
- Picture size — image resolution (size).
- JPEG quality — quality of compression.
- Rotation — angle of image rotation in degrees, rounded to nearest 90°, default is screen orientation.
- Zoom — zoom, default is 0%
- Flash mode — flash mode.
- Focus mode — focus mode.
- White balance — white balance.
- Color effect — color effect applied.
- Shutter delay — time gap between focus acquisition and image capture, default is no delay.
- Exif latitude — latitude Exif meta-data.
- Exif longitude — longitude Exif meta-data.
- Destination path — file or directory path where the image file will be saved, default is a JPEG file in the “DCIM” directory.
- Quiet — whether to play shutter sound, may not work on all device due to privacy laws, default is to play sound. (Android 4.2+)

## Output variables

- Image file — a variable to assign the path to the JPEG image file.